#
# spec file for package barcode (Version 0.96)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         barcode
Copyright:    GPL
Group:        Utilities/Printing
Autoreqprov:  on
Version:      0.96
Release:      51
Source0:      ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}.diff
URL:          http://gnu.systemy.it/software/barcode/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      Textmode Barcode creation utility

%description
GNU Barcode is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Ouput is generated as either Postscript or
Encapsulated Postscript (other back-ends may be added if needed).

Authors:
--------
    Alessandro Rubini <rubini@gnu.org>

SuSE series: ap

%define myprefix /usr
%prep
%setup
%patch
%{?suse_update_config:%{suse_update_config}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --mandir=%{_mandir} \
	    --prefix=%{myprefix} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README INSTALL TODO
%doc %{_mandir}/man1/*
%{myprefix}/bin/barcode
%package devel
Summary:      Barcode creation library
Group:          Development

%description devel
The barcode-devel package contains library for creating barcode output
files. It can create printouts for the conventional product tagging
standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well as a few other
formats. Ouput is generated as either Postscript or Encapsulated
Postscript (other back-ends may be added if needed).

Authors:
--------
    Alessandro Rubini <rubini@gnu.org>

SuSE series: ap


%files devel
%defattr(-, root, root)
%doc %{_mandir}/man3/*
%doc %{_infodir}/*
%{myprefix}/include/*
%{myprefix}/lib/libbarcode.a

%changelog -n barcode-devel
* Tue Jun 05 2001 - rvasice@suse.cz
- initial package version 0.96
%changelog -n barcode
* Tue Jun 05 2001 - rvasice@suse.cz
- initial package version 0.96
- fixed paths in Makefile.in, added DESTDIR
